=== modified file 'lib/lp/archiveuploader/tests/nascentupload-announcements.txt'
--- lib/lp/archiveuploader/tests/nascentupload-announcements.txt	2010-08-04 00:16:44 +0000
+++ lib/lp/archiveuploader/tests/nascentupload-announcements.txt	2010-08-19 15:54:17 +0000
@@ -256,6 +256,7 @@
 
 A PPA upload will contain the X-Launchpad-PPA header.
 
+  >>> from zope.security.proxy import removeSecurityProxy
   >>> from lp.soyuz.interfaces.archive import ArchivePurpose, IArchiveSet
   >>> from lp.registry.interfaces.distribution import IDistributionSet
   >>> from lp.registry.interfaces.person import IPersonSet
@@ -263,7 +264,8 @@
   >>> ubuntu = getUtility(IDistributionSet)['ubuntu']
   >>> name16 = getUtility(IPersonSet).getByName('name16')
   >>> name16_ppa = getUtility(IArchiveSet).new(
-  ...     owner=name16, distribution=ubuntu, purpose=ArchivePurpose.PPA)
+  ...     owner=removeSecurityProxy(name16), distribution=ubuntu,
+  ...     purpose=ArchivePurpose.PPA)
 
   >>> ppa_policy = getPolicy(
   ...     name='insecure', distro='ubuntu', distroseries=None)

=== modified file 'lib/lp/archiveuploader/tests/test_ppauploadprocessor.py'
--- lib/lp/archiveuploader/tests/test_ppauploadprocessor.py	2010-08-06 13:52:46 +0000
+++ lib/lp/archiveuploader/tests/test_ppauploadprocessor.py	2010-08-19 15:54:17 +0000
@@ -64,7 +64,7 @@
 
         # create name16 PPA
         self.name16_ppa = getUtility(IArchiveSet).new(
-            owner=self.name16, distribution=self.ubuntu,
+            owner=removeSecurityProxy(self.name16), distribution=self.ubuntu,
             purpose=ArchivePurpose.PPA)
         # Extra setup for breezy and allowing PPA builds on breezy/i386.
         self.setupBreezy()
@@ -276,8 +276,8 @@
         """Test PPA uploads to a named PPA."""
         # Create a PPA named 'testing' for 'name16' user.
         other_ppa = getUtility(IArchiveSet).new(
-            owner=self.name16, name='testing', distribution=self.ubuntu,
-            purpose=ArchivePurpose.PPA)
+            owner=removeSecurityProxy(self.name16), name='testing',
+            distribution=self.ubuntu, purpose=ArchivePurpose.PPA)
 
         # Upload to a named PPA.
         upload_dir = self.queueUpload("bar_1.0-1", "~name16/testing/ubuntu")
@@ -549,7 +549,7 @@
         """
         ubuntu_team = getUtility(IPersonSet).getByName("ubuntu-team")
         getUtility(IArchiveSet).new(
-            owner=ubuntu_team, distribution=self.ubuntu,
+            owner=removeSecurityProxy(ubuntu_team), distribution=self.ubuntu,
             purpose=ArchivePurpose.PPA)
         self.layer.commit()
 
@@ -585,8 +585,8 @@
         ubuntu_translators = getUtility(IPersonSet).getByName(
             "ubuntu-translators")
         getUtility(IArchiveSet).new(
-            owner=ubuntu_translators, distribution=self.ubuntu,
-            purpose=ArchivePurpose.PPA)
+            owner=removeSecurityProxy(ubuntu_translators),
+            distribution=self.ubuntu, purpose=ArchivePurpose.PPA)
         self.layer.commit()
 
         upload_dir = self.queueUpload(
@@ -600,7 +600,7 @@
         """Upload to a someone else's PPA gets rejected."""
         kinnison = getUtility(IPersonSet).getByName("kinnison")
         getUtility(IArchiveSet).new(
-            owner=kinnison, distribution=self.ubuntu,
+            owner=removeSecurityProxy(kinnison), distribution=self.ubuntu,
             purpose=ArchivePurpose.PPA)
         self.layer.commit()
 

=== modified file 'lib/lp/archiveuploader/tests/upload-karma.txt'
--- lib/lp/archiveuploader/tests/upload-karma.txt	2010-02-16 20:36:48 +0000
+++ lib/lp/archiveuploader/tests/upload-karma.txt	2010-08-19 15:54:17 +0000
@@ -86,7 +86,8 @@
     >>> from lp.registry.interfaces.distribution import IDistributionSet
     >>> ubuntu = getUtility(IDistributionSet)['ubuntu']
     >>> name16_ppa = getUtility(IArchiveSet).new(
-    ...     owner=name16, distribution=ubuntu, purpose=ArchivePurpose.PPA)
+    ...     owner=removeSecurityProxy(name16), distribution=ubuntu,
+    ...     purpose=ArchivePurpose.PPA)
     >>> bar_ppa_src = getPPAUploadForSource(
     ...     'suite/bar_1.0-1/bar_1.0-1_source.changes', name16_ppa)
     >>> bar_ppa_src.process()

=== modified file 'lib/lp/soyuz/scripts/tests/test_publishdistro.py'
--- lib/lp/soyuz/scripts/tests/test_publishdistro.py	2010-03-09 07:29:18 +0000
+++ lib/lp/soyuz/scripts/tests/test_publishdistro.py	2010-08-19 15:54:17 +0000
@@ -197,7 +197,8 @@
 
         ubuntutest = getUtility(IDistributionSet)['ubuntutest']
         name16 = getUtility(IPersonSet).getByName('name16')
-        getUtility(IArchiveSet).new(purpose=ArchivePurpose.PPA, owner=name16,
+        getUtility(IArchiveSet).new(
+            purpose=ArchivePurpose.PPA, owner=removeSecurityProxy(name16),
             distribution=ubuntutest)
         pub_source3 = self.getPubSource(
             sourcename='bar', filecontent='bar', archive=name16.archive)

